----------------------------------------------------------------------------
-- CHECK NO FEMALE KILLS TOURNAMENT
----------------------------------------------------------------------------
function CheckFemaleTourney()
	System.OutputDebugString("Checking Female Tourney\n");
	
	if(Profile.IsAchievementUnlocked(profile, ACH_FEMALE_TOURNAMENT) == false) then
		if(Profile.GetTourneyNoFemKill(profile) >= 1) then
			EntGame.AwardAchievement(ACH_FEMALE_TOURNAMENT);
			return(true);
			end;
		end;
	end;

----------------------------------------------------------------------------
-- CHECK NO DAMAGE TOURNAMENT
----------------------------------------------------------------------------
function CheckNoDamageTourney()
	System.OutputDebugString("Checking No Damage Tourney\n");
	
	if(Profile.IsAchievementUnlocked(profile, ACH_NO_DAMAGE_TOURNAMENT) == false) then
		if(Profile.GetTourneyNoDamage(profile) >= 1) then
			EntGame.AwardAchievement(ACH_NO_DAMAGE_TOURNAMENT);
			return(true);
			end;
		end;
	end;

-----------------------------------------------------------------------------
function DoAchEndTournament()
	System.OutputDebugString("Checking End-of-Tournament achievements\n");
		
	profile = EntGame.GetProfile();
    stats	= EntGame.GetPlayerState(0);
	
	if(CheckFemaleTourney()) then
		return(true);
		end;
	
	if(CheckNoDamageTourney()) then
		return(true);
		end;
		
	end;